> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant

> Updates tenant information.



## OpenAPI

````yaml management-api PATCH /tenant
openapi: 3.1.0
info:
  description: Authsignal's Management API
  version: 1.0.0
  title: Management Api
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1/management
    description: Authsignal's US (Oregon) Management API
  - url: https://au.api.authsignal.com/v1/management
    description: Authsignal's AU (Sydney) Management API
  - url: https://eu.api.authsignal.com/v1/management
    description: Authsignal's EU (Ireland) Management API
  - url: https://ca.api.authsignal.com/v1/management
    description: Authsignal's CA (Montreal) Management API
security:
  - basicAuth: []
tags:
  - name: Tenant
    description: Endpoints related to the configuration of a tenant.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Action Configurations
    description: Endpoints related to the configuration of action configurations.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Rules
    description: Endpoints related to the configuration of rules.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Theme
    description: Endpoints related to the configuration of a Tenant's theme.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /tenant:
    patch:
      tags:
        - Tenant
      summary: Update Tenant
      description: Updates tenant information.
      operationId: updateTenant
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the tenant.
                disableRecoveryCodes:
                  type: boolean
                  description: >-
                    Whether to disable recovery codes as an authentication
                    method.
                tokenDurationInMinutes:
                  type: number
                  description: >-
                    The duration in minutes for which an Authsignal challenge
                    token is valid. This determines the expiry of an Authsignal
                    challenge and the duration of the pre-built UI session.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantResponseBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    TenantResponseBody:
      type: object
      properties:
        tenantId:
          type: string
        allowDisablingMfa:
          type: boolean
        hideAuthsignalLogo:
          type: boolean
        customDomain:
          type: string
        redirectOnSessionExpiry:
          type: boolean
        allowDeletingUserAuthenticators:
          type: boolean
        disableRecoveryCodes:
          type: boolean
        skipRecoveryCodesOnProgrammaticEnrollment:
          type: boolean
        hideRecoveryCodesOnEnrollment:
          type: boolean
        tokenDurationInMinutes:
          type: number
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Management API secret key as the username and leave
        the password empty. This key is different from the Server API key and
        can be found in the API Keys section of the Authsignal Portal settings
        page.

````